# Class Error

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an error.

    public abstract class Error

Inheritance
  object
  Error

Derived
  ApiError
  AuthenticationError
  InvalidRequestError
  NotFoundError
  OverloadedError
  PermissionError
  RateLimitError

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### Error(string)

Initializes a new instance of the Error class.

    protected Error(string type)

#### Parameters

`type` string

  The type of the error.

## Properties

### Message

Gets the message of the error.

    public string Message { get; init; }

#### Property Value

string

### Type

Gets the type of the error.

    public string Type { get; init; }

#### Property Value

string